Package org.eclipse.cdt.utils.debug

# Class DebugField

java.lang.Object
org.eclipse.cdt.utils.debug.DebugField

public class DebugField extends Object
DebugEnumField

## Constructor Summary

Constructors
Constructor
Description
`DebugField(String name, DebugType type, int offset, int bits)`

## Method Summary

Modifier and Type
Method
Description
`DebugType`
`getDebugType()`
`String`
`getName()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### DebugField

public DebugField(String name, DebugType type, int offset, int bits)

## Method Details

### getName

public String getName()

### getDebugType

public DebugType getDebugType()